%define gname cantus
%define name %{gname}-2
%define version 1.99.9
%define release 1mdk
%define Summary A GUI tool to rename and tag mp3 and ogg/vorbis files

Summary: %{Summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL 
URL:  http://software.manicsadness.com/?project=1
Group: Sound
Source0: %{gname}_2-%{version}-1.tar.bz2
Source1: %{gname}-48x48.png
Source2:      %{gname}-32x32.png
Source3:      %{gname}-16x16.png 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires: libvorbis-devel 
BuildRequires: autoconf2.5
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libglade2.0-devel >= 2.0.1
 
%description
Cantus is a program for renaming and tagging mp3 files.
 
Features:

o Defining flexible filename filters for mass renaming.
o Mass tagging of mp3, ogg and flac files.
o Generation of a tag out of the filename or directory name.
o Renaming of files through FreeDB (no CD needed!)
o A nice GUI for GNOME using the GTK2.
o Multiple language support
o A lot more!

**Note this is the GTK2 port of cantus and is parallel installable.**

%prep
%setup -q -n %name-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="Cantus-2"\
longtitle="%{Summary}"\
command="%{gname}_2"\
icon="%{gname}.png"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}} 
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{gname}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{gname}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{gname}.png

%find_lang %{name}

rm -rf %buildroot/%_prefix/doc 

%post
%{update_menus}

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO  
%{_bindir}/%{gname}_2
%{_iconsdir}/%{gname}.png
%{_liconsdir}/%{gname}.png
%{_miconsdir}/%{gname}.png
%{_menudir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Mon Oct 13 2003 Charles A Edwards <eslrahc@bellsouth.net>  1.99.9-1mdk
- new 1.99.9

* Wed Oct 01 2003 Charles A Edwards <eslrahc@bellsouth.net>  1.99.7-1mdk
- first mdk pkg